package com.example.db1.dao;

import com.example.dto.ArchiveDetailDto;
import com.example.vo.ArchiveDetailVo;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * @InterfaceName ArchiveDetailDao
 * @Description 操作文件表接口
 * @Author linjj
 * @Date 2024/1/19 9:01
 * @Version 1.0
 */
@Mapper
public interface ArchiveDetailDao {
    /**
     * @Author: linjj
     * @Description: 批量插入文件表数据
     * @DateTime: 2025/3/25 14:56
     * @Params: [archiveDetailDto]
     * @Return boolean
     */
    boolean addArchiveDetailParam(@Param("list") List<ArchiveDetailDto> list);

    /**
    * @Author: linjj
    * @Description: 插入文件表数据
    * @DateTime: 2025/3/25 14:56
    * @Params: [archiveDetailDto]
    * @Return boolean
    */
    boolean addArchiveDetail(ArchiveDetailDto archiveDetailDto);
    /**
    * @Author: linjj
    * @Description: 查询文件地址
    * @DateTime: 2025/3/26 16:34
    * @Params: [C2]
    * @Return java.util.List<java.lang.String>
    */
    List<String> getPdfPath(String C1);
    /**
    * @Author: linjj
    * @Description: 删除记录
    * @DateTime: 2025/3/26 16:37
    * @Params: [C1]
    * @Return boolean
    */
    boolean delPdfPath(String C1);



}
