package com.example.db1.dao;

import com.example.dto.ArchiveOtherExtDto;
import com.example.dto.UpdateOtherDao;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.Date;
import java.util.List;

/**
 * @ClassName ArchiveOtherDao
 * @Description 任务表接口
 * @Author linjj
 * @Date 2025/3/26 15:13
 * @Version 1.0
 */
@Mapper
public interface ArchiveOtherDao {
    /**
    * @Author: linjj
    * @Description: 根据c2任务平台唯一判断是否存在
    * @DateTime: 2025/3/26 15:15
    * @Params: [C2]
    * @Return java.util.List<java.lang.String>
    */
    List<String> getArchiveOtherExt(String C2);
    /**
    * @Author: linjj
    * @Description: //查询任务表中C2字段跟时间是否都一致，一致不需要重新采集
    * @DateTime: 2025/3/27 17:29
    * @Params: [C2]
    * @Return java.util.List<java.lang.String>
    */
    List<String> getArchiveOtherExtAndTime(@Param("C2")String C2, @Param("SycTime") Date SycTime);
    /**
    * @Author: linjj
    * @Description: 新增任务表记录
    * @DateTime: 2025/3/26 15:29
    * @Params: [archiveOtherExtDto]
    * @Return java.lang.Boolean
    */
    Boolean addArchiveOtherExt(ArchiveOtherExtDto archiveOtherExtDto);
    /**
    * @Author: linjj
    * @Description: 更新任务表
    * @DateTime: 2025/3/26 15:44
    * @Params: [updateOtherDao]
    * @Return java.lang.Boolean
    */
    Boolean updateArchiveOtherExt(UpdateOtherDao updateOtherDao);
}
